#!/bin/sh
# (c) copyright icake 2013

if (Xdialog --icon /usr/share/pixmaps/icake2004.png --fill --wrap --title "slacko-6.3.2.csipv2-zhhk-12.2.1.pet" --yesno "This Chinese pet assumes that your Puppy system has already installed a half-Chinese pet named: \n\n[fcitx**/scim**/yong3264**]-en-zh-precise-12.2.1.pet (or their newer versions)\n\nto provide your Puppy system with Chinese fonts and Chinese input method. \n\nIt will auto-restart X server 2 times at the end of the installation.\n\n這中文包假設你的芭比系統已經安裝好一個名為 \n\n[fcitx**/scim**/yong3264**]-en-zh-precise-12.2.1.pet (或它們的更新版本） \n\n的半中文包，令你的芭比系統有中文字型及中文輸入法。\n\n 安裝程式亦會自動重啟Ｘ伺服器二次。\n\nPlease press yes to continue.\n要繼續安裝，請按 yes 確定。  " 40 110) then

#add entry to .xinitrc, near beginning
sed -i -e 's/PUPSTATE/PUPSTATE\
# Inserted by fcitx01 beginning\
	export LC_CTYPE="zh_CN.UTF-8"\
	export LC_TIME="zh_TW.UTF-8"\
		if (grep "[1\-2]" \/usr\/share\/.fixmenus_indicator) then\
			fixmenus\
		fi\
# Inserted by fcitx01 ending/' ~/.xinitrc

# function to add line to applications, desktop-directories
function addLine {
if (grep "^Name\[zh_HK\]=" $1) then
		sed -i "s~^Name\[zh_HK\]=.*~old&~" $1
fi
	sed -i "s~^Name=.*~&\nName\[zh_HK\]=$2~" $1
}

# add zh_HK names to /usr/share/applications/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhHKName=$( echo $3 )
	addLine $fileName $zhHKName
unset IFS		
 done < /usr/share/applications_names_eng_HK_CN_TW
mv /usr/share/applications_names_eng_HK_CN_TW /usr/share/.applications_names_eng_HK_org

# add zh_HK names to /usr/share/desktop-directories/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhHKName=$( echo $3 )
	addLine $fileName $zhHKName
unset IFS		
 done < /usr/share/desktop-directories_names_eng_HK_CN_TW
mv /usr/share/desktop-directories_names_eng_HK_CN_TW /usr/share/.desktop-directories_names_eng_HK_org

# function to add line to applications Comment[zh_HK]
function addLine_com {
if (grep "^Comment\[zh_HK\]=" $1) then
	sed -i "s~^Comment\[zh_HK\]=.*~old&~" $1
fi
	sed -i "s~^Comment=.*~&\nComment\[zh_HK\]=$2~" $1
}

# add zh_HK Comments to /usr/share/applications/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhHKName=$( echo $3 )
	addLine_com $fileName $zhHKName
unset IFS		
 done < /usr/share/applications_Comment_eng_HK_CN_TW
mv /usr/share/applications_Comment_eng_HK_CN_TW /usr/share/.applications_Comment_eng_HK_CN_org

# change /etc/xdg/templates/_root_.jwmrc names to zh_HK names
sed -i 's~label=\"Menu\"~label="菜單\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Help\"~label="幫助\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"LupuNews Help\"~label="Lupu新聞 幫助\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Puppy Help 101\"~label="芭比 幫助　101\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Shutdown\"~label="關閉電腦\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Exit to prompt\"~label="退出到命令行\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Exit\"~label="退出\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Reboot computer\"~label="重啓電腦\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Power-off computer\"~label="關上電源\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Restart X server\"~label="重啓Ｘ伺服器\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Restart JWM\"~label="重啓　JWM\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"Change Window Manager\"~label="轉換窗口管理器\"~' /etc/xdg/templates/_root_.jwmrc

# change desktop icon labels to hk, renamed org file to _org
cp /root/Choices/ROX-Filer/PuppyPin /root/Choices/ROX-Filer/PuppyPin_org
# copy PuppyPin_names_eng_HK for puninstall because *HK got deleted before puninstall.sh can use it
cp /root/Choices/ROX-Filer/PuppyPin_eng_HK_CN /root/Choices/ROX-Filer/PuppyPin_eng_HK_CN_cp
file1="/root/Choices/ROX-Filer/PuppyPin"
file2="/root/Choices/ROX-Filer/PuppyPin_eng_HK_CN"
	grep -F  "?" $file2 |  while read b
do
			IFS=$'?'
			set -- $b
			nameEngPP=$( echo $1 )
			nameHK=$( echo $2 )
			unset IFS
			nameEngPP=$(echo $nameEngPP | sed 's~^ *~~g;s~ *$~~g')
			nameHK=$(echo $nameHK | sed 's~^ *~~g;s~ *$~~g')
			nameEngPP=" label=\""$nameEngPP
			nameHK=" label=\""$nameHK
			sed -i "s/$nameEngPP/$nameHK/g" $file1
done 

# substitute openwith files with zh_HK names for right click menus top section
mv /root/.config/rox.sourceforge.net/OpenWith /root/.config/rox.sourceforge.net/OpenWith_org
mv /root/.config/rox.sourceforge.net/OpenWith_hk /root/.config/rox.sourceforge.net/OpenWith

# substitue original name with zh_HK name for menu, lower left corner
mv /root/.jwmrc-tray /root/.jwmrc-tray_org
mv /root/.jwmrc-tray.hk /root/.jwmrc-tray

# add entry to change locale to HK utf8
localedef -f UTF-8 -i zh_TW --no-archive zh_TW.UTF-8 > /dev/null
localedef -f UTF-8 -i zh_HK --no-archive zh_HK.UTF-8 > /dev/null

# add entry to change /etc/profile to zh_HK utf8
sed -i "s/^LANG=.*/LANG=zh_HK.UTF-8/" /etc/profile

# setup locale for zh_CN.utf8
ln -sf /usr/lib/locale/zh_CN.utf8 /usr/lib/locale/zh_CN.UTF-8
ln -sf /usr/lib/locale/zh_HK.utf8 /usr/lib/locale/zh_HK.UTF-8
cp -r /tmp/X11R7/* /usr/X11R7
rm -rf /tmp/X11R7
ln -sf /usr/X11R7/lib/X11/locale/zh_CN.UTF-8 /usr/share/X11/locale/zh_CN.UTF-8
ln -sf /usr/X11R7/lib/X11/locale/zh_HK.UTF-8 /usr/share/X11/locale/zh_HK.UTF-8

# Run gtk-query-immodules so that "scim" will appear under Imput Method
# when you right- click your mouse in a text box.
if [ -x /usr/bin/update-gtk-immodules ]; then
  /usr/bin/update-gtk-immodules
fi

# clean and redraw all desktop icons
echo "ICONWIPE" > /tmp/pup_event_icon_change_flag #v411
cp /dev/null  /var/local/pup_event_icon_change_flag # for 533

# substitute wag-profiles.sh to fix bug in wireless scan results
mv /usr/sbin/wag-profiles.sh /usr/sbin/wag-profiles.sh.org
mv /tmp/wag-profiles.sh /usr/sbin/wag-profiles.sh

# substitute frisbee
mv /root/Startup/frisbee-tray /usr/sbin/frisbee-tray_org
mv /usr/sbin/network_tray /root/Startup/network_tray

# substitute remasterpup2
sed -i "s~\/usr\/sbin\/remasterpup2~\/usr\/sbin\/remaster_icake720~" /usr/share/applications/Remaster-Puppy-live-CD.desktop

#replace /usr/lib/files for raring 387 bugs
if [ -f "/usr/lib/libcairo.so.2.11200.14" ]
then
mv /usr/lib/libcairo.so.2.11200.14 /usr/lib/libcairo.so.2.11200.14.old
mv /usr/lib/libcairo.so.2 /usr/lib/libcairo.so.2.old
mv /usr/lib/libcairo.so /usr/lib/libcairo.so.old
mv /tmp/lib/libcairo.so.2.11000.2 /usr/lib/libcairo.so.2.11000.2
mv /tmp/lib/libcairo.so.2 /usr/lib/libcairo.so.2
mv /tmp/lib/libcairo.so /usr/lib/libcairo.so
fi

#replace /root/.wbar with .wbar.hk
mv /root/.wbar /root/.wbar_org
mv /root/.wbar.hk /root/.wbar

#replace /root/.config/lxpanel/default/panels/panel with panel.hk
mv /root/.config/lxpanel/default/panels/panel /usr/share/panel_org
mv /tmp/panel.hk /root/.config/lxpanel/default/panels/panel

#replace /usr/bin
mv /usr/bin/lxp-shutdown /usr/bin/lxp-shutdown_org
mv /usr/bin/lxp-shutdown.hk /usr/bin/lxp-shutdown

#replace /usr/sbin
mv /usr/sbin/logout_gui /usr/sbin/logout_gui_org
mv /usr/sbin/logout_gui.hk /usr/sbin/logout_gui

#replace /etc/xdg/menus
#mv /etc/xdg/menus/lxde-applications.menu /etc/xdg/menus/lxde-applications.menu_org
#mv /etc/xdg/menus/lxde-applications.menu.hk /etc/xdg/menus/lxde-applications.menu

echo 1 > /usr/share/.restartwmcode
fixmenus
restartwm

else
k=1
# do nothing, cancel or no pressed by user
fi
