#!/bin/sh

#remove entry from gtk.immodules
sed -i /scim-bridge/d /etc/gtk-2.0/gtk.immodules

# function to delete line from applications and desktop-directories
 function deleteLine {
	sed -i "s~^$2.*~~" $1
	sed -i '/^$/d' $1
if (grep "^oldName\[zh_HK\]=" $1) then
	sed -i "s~^oldName\[zh_HK\]=~Name\[zh_HK\]=~" $1
fi
}

# delete zh_HK names from /usr/share/applications/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhHKName=$( echo $3 )
	zhHKName="Name\[zh_HK\]="$zhHKName
	deleteLine $fileName $zhHKName
unset IFS		
 done < /usr/share/.applications_names_eng_HK_org

# delete zh_HK names from /usr/share/desktop-directories/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhHKName=$( echo $3 )
	zhHKName="Name\[zh_HK\]="$zhHKName	
	deleteLine $fileName $zhHKName
unset IFS		
 done < /usr/share/.desktop-directories_names_eng_HK_org

# delete zh_HK names from /root/Desktop/* file
while read currentLine; do
	IFS=$'?'
	set -- $currentLine
	fileName=$( echo $1 )
	Name=$( echo $2 )
	zhHKName=$( echo $3 )
	zhHKName="Name\[zh_HK\]="$zhHKName
	deleteLine $fileName $zhHKName
unset IFS		
 done < /usr/share/.rdt_names_eng_HK_org

# change /etc/xdg/templates/_root_.jwmrc names to zh_HK names
sed -i 's~label="菜單\"~label=\"Menu\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="幫助\"~label=\"Help\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="Lupu新聞 幫助\"~label=\"LupuNews Help\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="芭比 幫助　101\"~label=\"Puppy Help 101\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="關閉電腦\"~label=\"Shutdown\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="退出到命令行\"~label=\"Exit to prompt\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label=\"退出\"~label="Exit\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="重啓電腦\"~label=\"Reboot computer\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="關上電源\"~label=\"Power-off computer\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="重啓Ｘ伺服器\"~label=\"Restart X server\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="重啓　JWM\"~label=\"Restart JWM\"~' /etc/xdg/templates/_root_.jwmrc
sed -i 's~label="轉換窗口管理器\"~label=\"Change Window Manager\"~' /etc/xdg/templates/_root_.jwmrc

# restore english Openwith for right click menus top section
rm -rf /root/.config/rox.sourceforge.net/OpenWith
mv /root/.config/rox.sourceforge.net/OpenWith_org /root/.config/rox.sourceforge.net/OpenWith

# substitue original name with zh_HK name for menu, lower left corner
mv /root/.jwmrc-tray /root/.jwmrc-tray.hk
mv /root/.jwmrc-tray_org /root/.jwmrc-tray

# add entry to change locale to eng
#localedef -f ISO-8859-1 -i en_US --no-archive en_US >/dev/null
localedef -f UTF-8 -i en_US --no-archive en_US.utf8 >/dev/null

# add entry to change /etc/profile to eng
sed -i "s/^LANG=.*/LANG=en_US.UTF-8/" /etc/profile
   LANG=en_US.UTF-8 fixscripts
   LANG=en_US.UTF-8 fixdesk

# clean and redraw all desktop icons
echo "ICONWIPE" > /tmp/pup_event_icon_change_flag #v411
cp /dev/null  /var/local/pup_event_icon_change_flag # for 533
LANG=en_US.UTF-8 fixmenus

# reverse wag-profiles.sh for fix bug in wireless scan results
rm /usr/sbin/wag-profiles.sh
mv /usr/sbin/wag-profiles.sh.org /usr/sbin/wag-profiles.sh

# reverse substitute panel
rm /root/.config/lxpanel/LXDE/panels/panel
mv /usr/share/panel_org /root/.config/lxpanel/LXDE/panels/panel

# reverse substitute pupshutdown manager
rm /usr/local/PupShutdown/PSD-bin
mv /usr/local/PupShutdown/PSD-bin_org /usr/local/PupShutdown/PSD-bin
rm /usr/local/PupShutdown/PSD-pref
mv /usr/local/PupShutdown/PSD-pref_org /usr/local/PupShutdown/PSD-pref

# reverse the remasterpup2
sed -i "s~\/usr\/sbin\/remaster_icake720~\/usr\/sbin\/remasterpup2~" /usr/share/applications/Remaster-Puppy-live-CD.desktop
rm /usr/sbin/remaster_icake720

# reverse substitute frisbee
rm /root/Startup/frisbee-tray
mv /usr/sbin/frisbee-tray_org /root/Startup/frisbee-tray

#reverse /root/.wbar
rm /root/.wbar
mv /root/.wbar_org /root/.wbar

#replace /usr/bin
rm /usr/bin/lxp-shutdown
mv /usr/bin/lxp-shutdown_org /usr/bin/lxp-shutdown

#replace /usr/sbin
mv /usr/sbin/logout_gui /usr/sbin/logout_gui.hk
mv /usr/sbin/logout_gui_org /usr/sbin/logout_gui

Xdialog --icon /usr/share/pixmaps/icake2004.png --left --wrap --title "slacko-6.3.2.csipv2-zhhk-12.2.1.pet removal" --msgbox "Ok, the change has been made and will take effect \nafter next restart of X-server (not a full reboot). \n\nPlease restart X-server after pet uninstall has finished.\n\n初步轉變已經做完，但轉變要在\n重啓X伺服器 (不是重啓電腦) 之後才可以完成。\n\n請在解除安裝 slacko-6.3.2.csipv2-zhhk-12.2.1.pet 的程序完成之後，\n立即重啓X伺服器。" 20 80
