# Some rules used:
#- All localization variables start with L_
#- The (possible) second part is all-caps and indicates the type of widget etc.
#- The rest gives a rough description of what the message is (content/location)
#- They appear in the order in which they exist in the script -- not running order
#  +(except for the general ones that are used in different places)
#- Hard quotes ('') should be kept when used and variables ($INTERFACE) not touched

##  The command to use with the "help" button ("net_setup" can be changed for a 
##+ different help file, eg. "net_setup.de", for a file /usr/share/doc/net_setup.de.htm)
HELP_COMMAND="man 'net_setup'"

############### General text ###############
L_TITLE_Puppy_Network_Wizard="Puppy網路設定精靈"
L_TITLE_Network_Wizard="網路設定精靈"
L_TITLE_Netwiz_Static_IP="Puppy網路設定精靈: 靜態IP"
L_BUTTON_Exit="退出"
L_BUTTON_Save="儲存"
L_BUTTON_Load="載入"
L_BUTTON_Unload="卸載"
L_BUTTON_Back="返回"
L_BUTTON_Blacklist="黑名單"
L_BUTTON_No="否"

############### end General text ###############



############### net-setup.sh ###############
# function: refreshMainWindowInfo
L_LABEL_Interface_Tree_Header="介面|類型|模組|設備描述"

L_ECHO_No_Interfaces_Message="Puppy無法看到任何活動網路介面。

如果您的PC上有一個或多個網卡（介面），並且想要使用它們，那必須載入驅動模組。在啟動Puppy 時應該會自動檢測並安裝正確的驅動程式，但這種情況一直沒有發生，在這種情況下。不要緊，你可以手動完成！"
L_ECHO_One_Interface_Message="Puppy 已檢測到下列網路介面在您的電腦上，但它仍然需要進行設定。
測試或設定它，請按一下其按鈕。"
L_ECHO_Multiple_Interfaces_Message="Puppy 在您的電腦上已確定下列網路介面，但他們仍然需要進行設定。
測試或設定界面，點擊其按鈕。"

# function: buildMainWindow
L_FRAME_Interfaces="介面"
L_FRAME_Network_Modules="網路模組"

# function: showLoadModuleWindow
L_TITLE_Load_Network_Module="載入網路模組"
L_NOTEBOOK_Modules_Header="選擇 模組|Ndiswrapper|更多"

L_TEXT_Select_Module_Tab="如果你看到下面一個模組符合您的硬體（但還未載入……)，選中它並按下“載入”按鈕載入
如果沒有（或您不確定），請點“更多”標籤。"
L_LABEL_Module_Tree_Header="模組|類型|說明"

L_TEXT_Ndiswrapper_Tab="<b>Ndiswrapper</b>是一個對Windows驅動程式進行“包裝”並讓它在Linux下執行的機制。

為了使用它，所有您需要做的是定位Windows驅動程式資訊檔(.inf)的位置(通常在Windows安裝目錄下的驅動程式目錄中...).

請注意，Ndiswrapper<b>不相容</b>於Windows Vista驅動程式。
"
L_BUTTON_Use_Ndiswrapper="使用Ndiswrapper"

L_TEXT_More_Tab="點擊 <b>指定</b>選擇一個未列出的模組，或以下列參數的格式指定一個模組（可能對ISA卡是強制性的，請參見下面的示例）。
點擊<b>Ndiswrapper</b>使用Windows驅動程式。
點擊<b>自動偵測</b>嘗試載入清單中的所有模組。

例1 ：ne io=0x000，
例2 ：arlan  io=0x300 irq=11
（例1適用於大多數ISA卡，並且對IO和IRQ做一些自動偵測 ）"
L_BUTTON_Specify="指定"
L_BUTTON_Autoprobe="自動偵測"

L_TOPMSG_Load_Module_None_Selected="載入模組報告：沒有模組被選定"
L_TOPMSG_Load_Module_Cancel="載入模組報告：沒有模組被載入"

L_MESSAGE_One_New_Interface="以下新的介面已被找到"
L_MESSAGE_Multiple_New_Interfaces="以下新的介面已找到"

L_FRAME_New_Interfaces="新的介面"
L_LABEL_New_Interfaces_Tree_Header="介面|類型|模組|設備描述"
L_TEXT_New_Interfaces_p1="點擊'儲存'按鈕來儲存選擇，這樣Puppy會自動載入"
L_TEXT_New_Interfaces_p2="在啟動時
\\單擊取消返回並設定新介面。"

L_TEXT_No_New_Interfaces1="沒有發現新的介面。"
L_TEXT_No_New_Interfaces2="點擊‘載入’按鈕載入新的模組，並嘗試載入另一個。"

L_TITLE_New_Module_Loaded="新模組被載入"
L_TEXT_New_Module_Loaded="以下新的模組已載入:"

L_TOPMSG_New_Module_Save="新的模組資訊已儲存"
L_TOPMSG_New_Module_Unload="新模組被卸載"
L_TOPMSG_New_Module_Cancelled="已被取消"

L_TOPMSG_Load_Module_None_Loaded="載入模組報告：沒有載入模組"

# function: tryLoadModule
L_TITLE_Netwiz_Hardware="Puppy網路精靈：硬體"
L_MESSAGE_Driver_Loaded="該模組已經載入。\n這並不等於它實際上會正常工作！ \n點擊OK之後，看看是否有新的介面\n被檢測到。"
L_MESSAGE_Driver_Success_p1="模組"
L_MESSAGE_Driver_Success_p2="已成功載入。
雖然那並不等於它實際上會工作！
點擊OK之後，看看是否有一個新的介面
被檢測到。"

L_MESSAGE_Driver_Failed_p1="載入模組"
L_MESSAGE_Driver_Failed_p2="失敗，並顯示如下資訊：
"
L_MESSAGE_Driver_Failed_p3="請嘗試不同的驅動程式。
"

# function: giveAcxDialog
L_TEXT_Acx_Module_p1="你選擇的介面使用這個模組"
L_TEXT_Acx_Module_p2="
卸載這個模組可能會造成系統不穩定，Ndiswrapper將可能無法工作。

建議將該模組列入黑名單並重新啟動，就可放心使用Ndiswrapper。

你想黑名單模組，需要重新啟動，你敢嘗試卸載它嗎？ 
"

# function: askWhichInterfaceForNdiswrapper
L_TEXT_Ask_Which_Interface_For_Ndiswrapper="<b>在使用 Ndiswrapper前要做的一件事是:</b>
您的網卡在一定時間內只能使用一種驅動程式。這意味著，如果已經有一種驅動程式在用它（即在主對話框中有一個介面匹配）在載入該驅動程式之前，我們可以利用Ndiswrapper 。

若要這麼做，只要按下按鈕以匹配相關介面。如果沒有介面符合您的硬體，點擊 'none'。
"
L_BUTTON_None="none"

L_MESSAGE_Remove_Module_Failed_p1="錯誤
卸載模組失敗"
L_MESSAGE_Remove_Module_Failed_p2="
返回以下錯誤資訊:"

# function: loadNdiswrapperModule
L_MESSAGE_Blacklist_Nativemod_p1="模組"
L_MESSAGE_Blacklist_Nativemod_p2="是以前載入的，
必須移除以便讓ndiswrapper工作。
你想不想把這個模組添加到黑名單
列表中，這樣才不會在
開機時被載入？
注意, 您以後可以隨時刪除它，通過執行
bootmanager(見系統選單）"

# function: loadSpecificModule
L_TITLE_Load_A_Module="載入一個模組"
L_TEXT_Load_A_Module="請鍵入指定模組的名稱以便載入
(允許加上附加參數，但不要按TAB)."

# function: autoLoadModule
L_MESSAGE_Success_Loading_Module_p1="成功載入"
L_MESSAGE_Success_Loading_Module_p2="模組。 這並不等於它會正常工作！
點擊OK之後，看看是否有新的介面
被檢測和設定。

NOTE: it is possible that a module loads ok, but it is a false hit, that is, does
not actually work with your network adaptor. In that case, try autoprobing again. 
This script will remember the previous attempts (until you exit this script) and will
jump over them.
If you do get false hits, let us know about it on the Puppy Discussion Forum!"

L_MESSAGE_No_Module_Loaded="沒有成功載入模組。

注意，這些模組已經載入:"

# function: offerToBlacklistModule
L_TEXT_Blacklist_Module_p1="模組"
L_TEXT_Blacklist_Module_p2="移除成功.

你想把它加入黑名單嗎, 這樣
以後重啟時就不會載入了？
"

# function: unloadSpecificModule
L_MESSAGE_No_Loaded_Items="錯誤！
現在好像未載入網路模組...
"

L_TITLE_Unload_A_Module="卸載一個模組"
L_TEXT_Unload_A_Module="請選擇你想卸載的
模組，然後按'Unload'..."
L_COMBO_Module="模組:"

# function: findLoadedModules
L_PROGRESS_Checking_Loaded_Modules="檢查已載入的模組"

# function: testInterface
L_MESSAGE_Failed_Raise_Interface_p1="錯誤！
無法激活介面"
L_MESSAGE_Failed_Raise_Interface_p2="出錯命令是:"
L_MESSAGE_Failed_Raise_Interface_p3="錯誤返回資訊:"

L_PROGRESS_Testing_Interface="測試介面"

L_TOPMSG_Report_On_Test='REPORT ON TEST OF $INTERFACE CONNECTION:'
L_TOPMSG_Unplugged_Wireless="'無法連接到無線網路'
檢查無線網路是否可用，以及
您所提供的正確的無線參數。"
L_TOPMSG_Unplugged_Wired="'無法連接到無線網路'
檢查無線網路是否可用，以及
網線是否正確插入."
L_TOPMSG_Network_Alive="'Puppy能夠找到一個活動網路'
您可以繼續進行以獲得一個IP地址。"

# function: showConfigureInterfaceWindow
L_TOPMSG_Configuration_Cancelled='設定網路 $INTERFACE  被取消'
L_BUTTON_Done="完成"

L_TOPMSG_Configuration_Unsuccessful='$INTERFACE 的網路設定不成功！'
L_TOPMSG_Configuration_Offer_Try_Again="請再試一次，按一下'返回' 嘗試不同的介面，或按一下'完成'放棄當前工作。"
L_TOPMSG_Configuration_Successful='$INTERFACE 的網路設定成功！'
L_TOPMSG_Configuration_Offer_To_Save="
您想儲存此設定嗎？

如果您想為下次開機保留此設定：按一下'Yes' 
如果您只想為本次作業階段使用此設定：點擊'No' 。"
L_TOPMSG_Configuration_Offer_To_Finish="
如果沒有更多的介面安裝和設定，請按一下'完成'退出。"
L_TOPMSG_Configuration_Not_Saved="設定未為下次啟動儲存下來。

如果沒有更多的介面安裝和設定，請按一下'完成'退出。"

# function: buildConfigureInterfaceWindow
L_TITLE_Configure_Interface='設定網路介面 $INTERFACE'
L_FRAME_Test_Interface="測試介面"
L_BUTTON_Test_Interface='測試 $INTERFACE'
L_FRAME_Configure_Interface="設定介面"
L_BUTTON_Auto_DHCP="自動設定DHCP"
L_BUTTON_Static_IP="設定靜態IP"

# function: initializeConfigureInterfaceWindow
L_TOPMSG_Initial_Lets_try="OK，讓我們嘗試設定"
L_TESTMSG_Initial_p1="您應該確保"
L_TESTMSG_Initial_p2="已連接到一個'活動'網路。
確認之後，您可以設定介面。"
L_DHCPMSG_Initial="設定網路最簡單的方式是利用DHCP伺服器（通常由您的網路提供） 。這將使Puppy在開機時查詢伺服器，並被自動分配一個IP地址。 ' dhcpcd '客戶端守護程式啟動，網路接入自動進行。"
L_STATICMSG_Initial="如果DHCP伺服器無法使用，您將需要手動設置靜態IP ，但此腳本將使它很容易。"

L_FRAME_Configure_Wireless="設定無線網路"
L_TEXT_Configure_Wireless_p1="Puppy發現"
L_TEXT_Configure_Wireless_p2="是一個無線介面。
要連接到一個無線網路，您必須先設置無線網路參數，按一下'無線'按鈕，然後指定一個IP地址給它，無論是DHCP還是靜態IP （見下文）。"
L_BUTTON_Wireless="無線"

# function: configureWireless
L_TOPMSG_Wireless_Config_Failed_p1="無線設置"
L_TOPMSG_Wireless_Config_Failed_p2="失敗！
你可以嘗試選擇使用不同設定檔案。 "
L_TOPMSG_Wireless_Config_Cancelled_p1="無線設置"
L_TOPMSG_Wireless_Config_Cancelled_p2="被取消!
為了連接到一個無線網路，你必須選擇使用一個設定檔案。 "

# function: buildStaticIPWindow
L_TITLE_Set_Static_IP="設置靜態IP"
L_TEXT_Set_Static_IP="請鍵入您的靜態IP參數：
-如果您使用路由器，請檢查您的路由器的狀態頁以得到這些數據。
-如果您直接連接到您的modem，你會
從您的ISP處得到這些數據 。
（兩台電腦直接連接：設置所有值除了IP和
子網遮罩為 0.0.0.0
請以點分四位數十進制格式輸入（xxx.xxx.xxx.xxx）。
其他格式將不予以承認。
"
L_FRAME_Static_IP_Parameters="靜態IP參數"
L_ENTRY_IP_Address="IP地址："
L_ENTRY_Net_Mask="子網遮罩："
L_ENTRY_Gateway="閘道："
L_FRAME_DNS_Parameters="DNS參數"
L_ENTRY_DNS_Primary="主DNS伺服器："
L_ENTRY_DNS_Secondary="從DNS伺服器："

# function: validateStaticIP
L_ERROR_Invalid_IP="無效IP地址"
L_ERROR_Invalid_Netmask="無效的網路遮罩"
L_ERROR_Invalid_Gateway="無效的閘道地址"
L_ERROR_Invalid_DNS1="無效的DNS伺服器1地址"
L_ERROR_Invalid_DNS2="無效的DNS伺服器2地址"

L_MESSAGE_Bad_addresses="出錯了！
所提供的地址有一部分是無效的。"

L_MESSAGE_Bad_Netmask="警告:
的網路遮罩不符合您的網路地址類型

您確認它是正確的嗎？"

L_MESSAGE_Bad_Gateway_p1="錯誤!
你的閘道"
L_MESSAGE_Bad_Gateway_p2="不在此網路上。
（您可能鍵入了錯誤的地址，閘道或子網遮罩）。
"

# function: setupStaticIP
L_MESSAGE_Route_Set='默認路由設置通過 $GATEWAY.'
L_MESSAGE_Route_Failed_p1="錯誤!
無法設置默認路由通過"
L_MESSAGE_Route_Failed_p2="注意，Puppy 曾試圖做到這一點："
L_MESSAGE_Route_Failed_p3="並給出以下出錯資訊："

L_MESSAGE_Ifconfig_Failed_p1="錯誤！介面設定失敗。

Puppy 曾試圖做到這一點："
L_MESSAGE_Ifconfig_Failed_p2="並給出以下出錯資訊："
L_MESSAGE_Ifconfig_Failed_p3="
如果您認為這不適合您的系統，
您可以提出其他一些可用的方法，
請發布到論壇裡，以便我們改進網路設定精靈。"

# function: saveNewModule
L_TOPMSG_Module_Saved_p1="模組"
L_TOPMSG_Module_Saved_p2="被記錄在 /etc/ethernetmodules
Puppy會在開機時讀入這條命令。"

# function: unloadNewModule
L_TOPMSG_Module_Unloaded_p1="模組"
L_TOPMSG_Module_Unloaded_p2="被卸載。
也,"
L_TOPMSG_Module_Unloaded_p3="被從 /etc/ethernetmodules  移除(如果它存在)。"

# function: setDefaultMODULEBUTTONS
L_TEXT_Default_Module_Buttons="如果網卡的驅動模組好像沒有載入，或者您想用一個不同的驅動（如Ndiswrapper的Windows驅動程式），點擊'載入模組' 按鈕。"
L_BUTTON_Load_Module="載入模組"

# function: findInterfaceInfo
L_INTTYPE_Wireless="無線"
L_INTTYPE_Ethernet="乙太網路"
L_INFO_Eth_Firewire="firewire網路"

L_TOPMSG_Initial="你好，網路並不總是很容易安裝，但我們可以去嘗試一下！"

############### end net-setup.sh ###############


############### wag-profiles.sh ###############
L_FRAME_Progress="進度"
L_BUTTON_Abort="忽略"
L_BUTTON_Retry="重試"

# function: setupDHCP
L_TEXT_Dhcpcd_Progress='正在連接到DHCP伺服器...超時為 $MAX_TIME 秒.'

# function: giveNoWPADialog
L_TEXT_No_Wpa_p1="注意: 您選擇的介面使用模組 "
L_TEXT_No_Wpa_p2=", 不支持 WPA 加密。"

# function: buildProfilesWindow
L_TEXT_Profiles_Window="請選擇要使用的網路設定檔案.
為了創建一個新的設定，開始掃描可用 
網路並選擇一個你喜歡的設定. 
新建設定檔案必須 <b>儲存</b> 後才能使用。"
L_BUTTON_Scan="掃描"
L_FRAME_Load_Existing_Profile="載入一個已存在的設定檔案"
L_TEXT_Select_Profile="選擇一個設定檔案以載入："
L_FRAME_Edit_Profile="編輯設定檔案"
L_TEXT_Encryption="加密： "
L_BUTTON_Open="打開"
L_TEXT_Profile_Nmae="設定檔案
名:   "
L_TEXT_Essid="ESSID:    "
L_TEXT_Mode="模式："
L_CHECKBOX_Managed="託管"
L_CHECKBOX_Adhoc="Ad-hoc "
L_TEXT_Security="安全： "
L_CHECKBOX_Open="打開"
L_CHECKBOX_Restricted="限制"
L_BUTTON_Delete="刪除"
L_BUTTON_Use_Profile="使用設定檔案"
L_BUTTON_New_Profile="新建設定檔案"

# function: setWepFields
L_TEXT_Key="密鑰："

# function: setWpaFields
L_TEXT_AP_Scan="AP 掃描:"
L_CHECKBOX_Hidden_SSID="隱藏的 SSID"
L_CHECKBOX_Broadcast_SSID="廣播 SSID"
L_CHECKBOX_Driver="驅動程式"
L_TEXT_Shared_Key="共享密鑰："

# function: setAdvancedFields
L_LABEL_Advanced="高級"
L_LABEL_Basic="基礎"
L_TEXT_Frequency="頻率："
L_TEXT_Channel="通道:"
L_TEXT_AP_MAC="存取點
     MAC地址:"

# function: saveProfiles
L_MESSAGE_Bad_Profile="錯誤!
設定檔案沒有與此相對應的網路.
您必須執行一次無線掃描並選擇
網路，然後創建一個設定檔案"

# function: getWpaPSK
L_MESSAGE_Bad_PSK="錯誤!
由你提供的密鑰和SSID生成
PSK wpa_密碼失敗！

請向論壇報告，以便
我們嘗試發現問題。
"

# function: cleanUpInterface
L_MESSAGE_Failed_To_Raise_p1="錯誤!
無法激活介面"
L_MESSAGE_Failed_To_Raise_p2=".
失敗的命令是："
L_MESSAGE_Failed_To_Raise_p3="傳回的錯誤資訊："

# function: useIwconfig / useWlanctl
L_MESSAGE_Configuring_Interface_p1="正在設定介面 "
L_MESSAGE_Configuring_Interface_p2=" 
to network "

# function: validateWpaAuthentication
L_ECHO_Status_p1="時間： "
L_ECHO_Status_p2="	狀態： "

# function: useWpaSupplicant
L_MESSAGE_No_Wpaconfig_p1="錯誤!
找不到wpa_supplicant設定檔案："
L_MESSAGE_No_Wpaconfig_p2="
請注意，您必須儲存該設定檔案後才可以使用它！"

L_TEXT_WPA_Progress_p1="正在獲取 "
L_TEXT_WPA_Progress_p2=" 連接自 "
L_TEXT_WPA_Progress_p3="...(30小秒超時)"

L_ECHO_Starting="啟動"
L_ECHO_Initializing_Wpa="初始化wpa_supplicant"

L_MESSAGE_WPA_Failed="無法建立WPA連接"
L_BUTTON_Details="詳細資訊"

L_FRAME_Connection_Info="連接資訊"
L_FRAME_wpa_cli_Outeput="輸出 "
L_BUTTON_Refresh="重新載入"

# function: showScanWindow
L_PROGRESS_Scanning_Wireless="掃描無線網路"

# function: buildScanWindow
L_SCANWINDOW_Encryption="加密："
L_SCANWINDOW_Channel="通道："
L_SCANWINDOW_Frequency="頻率:"
L_SCANWINDOW_AP_MAC="AP MAC:"
L_SCANWINDOW_Strength="強度:"

L_TEXT_Scanwindow="選擇一個可用的網路
移動滑鼠以查看更詳細的資訊。"

# function: createNoNetworksDialog
L_TEXT_No_Networks_Detected="沒有網路被發現.

也許您的路由器是關閉的？
也許您的筆記型電腦上的無線切換器
需要打開？"

# function: createRetryScanDialog
L_TEXT_No_Networks_Retry="沒有網路被發現。
你想再次嘗試和掃描嗎？
"

# function: createRetryPCMCIAScanDialog
L_TEXT_No_Networks_Retry_Pcmcia="沒有網路被發現。
不過，您似乎在使用的PCMCIA設備，
這可能需要重置，以便掃描工作。
你想重設PCMCIA卡並掃描嗎？ 
"

# function: buildPrismScanWindow (many used from buildScanWindow above)
L_SCANWINDOW_Hidden_SSID="(隱藏 SSID)"
L_TEXT_Prism_Scan="選擇一個可用的網路
移動滑鼠以查看更詳細的資訊。 "

# function: setupScannedProfile
L_TEXT_Provide_Key="提供一個密鑰"

############### end wag-profiles.sh ###############



############### ndiswrapperGUI.sh ###############
L_TITLE_Netwiz_Ndiswrapper="Puppy 網路精靈: Ndiswrapper"
L_TEXT_Ndiswrapper_Chooser="請選擇驅動資訊檔案(.INF)."

L_MESSAGE_Bad_Inf_Name="
錯誤!
附加檔名應該是 .inf
請重新選擇.
"

############### end ndiswrapperGUI.sh ###############


############### rc.network ###############
L_TITLE_Success="成功"
L_MESSAGE_Success="成功"
L_TITLE_Failure="失敗"
L_MESSGAE_Failed="失敗"

L_MESSAGE_Failed_To_Connect="
  連接網路失敗.
  如果你還沒設定網線介面，
  你應該執行網路精靈。
  (調試資訊在 /tmp/network-connect.log)"

############### end rc.network ###############
